- Qt 5.15
- Qt 3D
- QML Types
- PointSize QML Type
- Qt 5.15.13 Reference Documentation

# PointSize QML Type

Specifies the size of rasterized points. May either be set statically or by shader programs. More...

Import Statement: | import Qt3D.Render 2.15
Since: | Qt 5.7
Inherits: | RenderState

- List of all members, including inherited members

## Properties

- sizeMode : enumeration
- value : real

## Detailed Description

When the sizeMode property is set to SizeMode::Fixed, the value is set using glPointSize(), if available. When using SizeMode::Programmable, gl_PointSize must be set within shader programs, the value provided to this RenderState is ignored in that case.

## Property Documentation

sizeMode : enumeration

Specifies the sizeMode to be used.

value : real

Specifies the point size value to be used.